ECHO(1)

NAME
echo - display a line of text

SYNOPSIS
echo [SHORT-OPTION]... [STRING]...
echo LONG-OPTION

DESCRIPTION

Echo the STRING(s) to standard output.

-n  do not output the trailing newline

-e  enable interpretation of backslash escapes

-E  disable interpretation of backslash escapes (default)

--help
    display this help and exit

--version
    output version information and exit

If -e is in effect, the following sequences are recognized:

\\  backslash

\a  alert (BEL)

\b  backspace

\c  produce no further output

\e  escape

\f  form feed

\n  new line

\r  carriage return

\t  horizontal tab

\v  vertical tab

\0NNN
    byte with octal value NNN (1 to 3 digits)

\xHH
    byte with hexadecimal value HH (1 to 2 digits)

Your shell may have its own version of echo, which usually supersedes the version described here. Please refer to your shell's documentation for details about the options it supports.

Consider using the printf(1) command instead, as it avoids problems when outputting option-like strings.

AUTHOR
Written by Brian Fox and Chet Ramey.

REPORTING BUGS
Report bugs to: bug-coreutils@gnu.org
GNU coreutils home page: <https://www.gnu.org/software/coreutils/>
General help using GNU software: <https://www.gnu.org/gethelp/>
Report any translation bugs to <https://translationproject.org/team/>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
printf(1)

Full documentation <https://www.gnu.org/software/coreutils/echo>
or available locally via: info '(coreutils) echo invocation'